# Object Agent

> A javascript library for working with objects
>
> [![npm][npm]][npm-url]
[![build][build]][build-url]
[![coverage][coverage]][coverage-url]
[![deps][deps]][deps-url]
[![size][size]][size-url]
[![vulnerabilities][vulnerabilities]][vulnerabilities-url]
[![license][license]][license-url]


<br><a name="Installation"></a>

### Installation
```
npm install object-agent
```
_Requires Babel 7.2+_

<br><a name="Docs"></a>

### Docs
- Path
  - [get](docs/get.md)
  - [set](docs/set.md)
  - [unset](docs/unset.md)
  - [path utility functions](docs/pathUtilities.md)
- Analysis
  - [forIn](docs/forIn.md)
  - [forOwn](docs/forOwn.md)
  - [mapOwn](docs/mapOwn.md)
  - [traverse](docs/traverse.md)
  - Comparison
    - [diffUpdate](docs/diffUpdate.md)
    - [intersection](docs/intersection.md)
  - Testing
    - [has](docs/has.md)
    - [isEmpty](docs/isEmpty.md)
    - [isEqual](docs/isEqual.md)
    - [deepEqual](docs/deepEqual.md)
- Data Generation
  - [nestedEach](docs/nestedEach.md)
  - [combo](docs/combo.md)
  - [mix](docs/mix.md)
  - [powerset](docs/powerset.md)
- Other
  - [superimpose](docs/superimpose.md)
  - [clone](docs/clone.md)
  - [pull](docs/pull.md)
  - [repeat](docs/repeat.md)
  - [fill](docs/fill.md)

[npm]: https://img.shields.io/npm/v/object-agent.svg
[npm-url]: https://npmjs.com/package/object-agent
[build]: https://travis-ci.org/DarrenPaulWright/object-agent.svg?branch&#x3D;master
[build-url]: https://travis-ci.org/DarrenPaulWright/object-agent
[coverage]: https://coveralls.io/repos/github/DarrenPaulWright/object-agent/badge.svg?branch&#x3D;master
[coverage-url]: https://coveralls.io/github/DarrenPaulWright/object-agent?branch&#x3D;master
[deps]: https://david-dm.org/darrenpaulwright/object-agent.svg
[deps-url]: https://david-dm.org/darrenpaulwright/object-agent
[size]: https://packagephobia.now.sh/badge?p&#x3D;object-agent
[size-url]: https://packagephobia.now.sh/result?p&#x3D;object-agent
[vulnerabilities]: https://snyk.io/test/github/DarrenPaulWright/object-agent/badge.svg?targetFile&#x3D;package.json
[vulnerabilities-url]: https://snyk.io/test/github/DarrenPaulWright/object-agent?targetFile&#x3D;package.json
[license]: https://img.shields.io/github/license/DarrenPaulWright/object-agent.svg
[license-url]: https://npmjs.com/package/object-agent/LICENSE.md
